# Ice::SyscallException

## Overview

### [ "cpp:ice_print" ] local exception SyscallException

This exception is raised if a system error occurred in the server or client process. There are many possible causes for such a system exception. For details on the cause, error should be inspected.

#### Derived Exceptions

FileException
SocketException

## Data Members

int error;

  The error number describing the system exception. For C++ and Unix, this is equivalent to `errno`. For C++ and Windows, this is the value returned by `GetLastError()` or `WSAGetLastError()`.